#ifndef SYBASECLASS_H
#define SYBASECLASS_H

#include <time.h>
#include <kmysql/isqlserver.h>
#include <qstring.h>
#include <ctpublic.h>
#include "SybaseCommon.h"

class SybaseClass 
  {
  public:
  	SybaseClass(void);
    	virtual ~SybaseClass(void);
	CS_INT CS_PUBLIC DisplayDlen(CS_DATAFMT *column);
	CS_RETCODE CS_PUBLIC DisplayHeader(CS_INT numcols, CS_DATAFMT columns[]);
	CS_RETCODE CS_PUBLIC DisplayColumn (CS_CONTEXT *context, CS_DATAFMT *colfmt, CS_VOID *data, CS_INT datalength, CS_SMALLINT indicator); 
	CS_VOID CS_PUBLIC Panic(char *msg);
	CS_VOID CS_PUBLIC Error(char *msg);
	//CS_RETCODE CS_PUBLIC ClientmsgCb(CS_CONTEXT *context, CS_CONNECTION *connection, CS_CLIENTMSG *errmsg);
	//CS_RETCODE CS_PUBLIC ServermsgCb(CS_CONTEXT *context, CS_CONNECTION *connection, CS_SERVERMSG *srvmsg);
	CS_RETCODE CS_PUBLIC SybaseInit(CS_CONTEXT	**context);
	CS_RETCODE CS_PUBLIC SybaseConnect(CS_CONTEXT *, CS_CONNECTION **, CS_CHAR *, CS_CHAR *, CS_CHAR *, CS_CHAR *);
	CS_RETCODE CS_PUBLIC Sybase_con_cleanup(CS_CONNECTION *connection, CS_RETCODE status);
	CS_RETCODE CS_PUBLIC CtxCleanup(CS_CONTEXT *context, CS_RETCODE	status);
	CS_RETCODE CS_PUBLIC ExecuteCmd(CS_CONNECTION *connection, CS_CHAR *cmdbuf);
	CS_RETCODE CS_PUBLIC CreateDb(CS_CONNECTION *connection, char *dbname);
	CS_RETCODE RemoveDb(CS_CONNECTION *connection, char *dbname);
	CS_RETCODE UseDb(CS_CONNECTION *connection, char *dbname);
	CS_RETCODE CS_PUBLIC Fetch_data2(CS_COMMAND *cmd, CS_INT *num_cols2, CS_INT *row_count2, QueryResult *queryres);
	CS_RETCODE CS_PUBLIC Fetch_data3(CS_COMMAND *cmd,  QueryResult *queryres, CS_INT *row_count2);
	CS_RETCODE CS_INTERNAL FetchComputeResults(CS_COMMAND	*cmd, QueryResult *QueryRes);
	CS_CHAR * CS_INTERNAL GetAggOp(CS_INT op);
	QueryResult SybaseClass::getObjects(QString base, char query[5000]);
	
  private:
  };


#endif
