#ifndef SYBASESERVER_H
#define SYBASESERVER_H

#include <time.h>
#include <kmysql/isqlserver.h>
#include <qstring.h>
#include "SybaseClass.h"


class SybaseServer : public ISqlServer
  {
  public:
  	SybaseServer(void);
    	virtual ~SybaseServer(void);
    	QueryResult connect(QString, QString, QString, int );
    	void close(void);
    	QueryResult  selectBase(QString);
    	QueryResult  getBases(void);
    	QueryResult  getTables(QString, QString = 0);
    	QueryResult  query(QString);
    	QueryResult  createBase(QString);
    	QueryResult  dropBase(QString);
    	QueryResult  reload(void);
    	QueryResult  shutdown(void);
    	QString serverInfo(void);
    	bool isConnected(void) { return connected; }
	IObject *queryInterface(UIID);
	QueryResult getColumns(QString, QString);
	QueryResult  getStoredProcedures(QString);
	QueryResult  getIndexes(QString);
  private:
    	int msql;	
    	bool connected;
  };


#endif
